Changeset 2206 for stable/2.9


Ignore:
Timestamp:
Jul 7, 2015 4:44:40 PM (4 years ago)
Author:
stefan
Message:

merge r2204,r2205 from trunk

Location:
stable/2.9/Cbc
Files:
12 edited

Legend:

Unmodified
Added
Removed
  • stable/2.9/Cbc

  • stable/2.9/Cbc/Makefile.in

    r2175 r2206  
    198198COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    199199COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     200COIN_HAS_NTY_FALSE = @COIN_HAS_NTY_FALSE@
     201COIN_HAS_NTY_TRUE = @COIN_HAS_NTY_TRUE@
    200202COIN_HAS_OSITESTS_FALSE = @COIN_HAS_OSITESTS_FALSE@
    201203COIN_HAS_OSITESTS_TRUE = @COIN_HAS_OSITESTS_TRUE@
     
    304306NETLIB_LIBS = @NETLIB_LIBS@
    305307NETLIB_LIBS_INSTALLED = @NETLIB_LIBS_INSTALLED@
     308NTYINCDIR = @NTYINCDIR@
     309NTYLIB = @NTYLIB@
    306310OBJEXT = @OBJEXT@
    307311OPT_CFLAGS = @OPT_CFLAGS@
  • stable/2.9/Cbc/configure

    r2196 r2206  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11031103                          package linker flags
    11041104  --enable-gnu-packages   compile with GNU packages (disabled by default)
     1105  --disable-nauty-libcheck
     1106                          skip the link check at configuration time
    11051107  --enable-cbc-parallel   enables compilation of the SMP version of Cbc
    11061108
     
    11681170  --with-asl-incdir directory with header files for using package ASL
    11691171  --with-asl-datadir directory with data files for using package ASL
     1172  --with-nauty-incdir specify the header file directory for library Nauty
     1173  --with-nauty-lib specify the flags used to link with the library Nauty
    11701174  --with-cbc-generic      specify whether to build cbc-generic (default: no)
    11711175  --with-cbc-generic-solver
     
    58725876*-*-irix6*)
    58735877  # Find out which ABI we are using.
    5874   echo '#line 5874 "configure"' > conftest.$ac_ext
     5878  echo '#line 5878 "configure"' > conftest.$ac_ext
    58755879  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58765880  (eval $ac_compile) 2>&5
     
    70067010
    70077011# Provide some information about the compiler.
    7008 echo "$as_me:7008:" \
     7012echo "$as_me:7012:" \
    70097013     "checking for Fortran 77 compiler version" >&5
    70107014ac_compiler=`set X $ac_compile; echo $2`
     
    80738077   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80748078   -e 's:$: $lt_compiler_flag:'`
    8075    (eval echo "\"\$as_me:8075: $lt_compile\"" >&5)
     8079   (eval echo "\"\$as_me:8079: $lt_compile\"" >&5)
    80768080   (eval "$lt_compile" 2>conftest.err)
    80778081   ac_status=$?
    80788082   cat conftest.err >&5
    8079    echo "$as_me:8079: \$? = $ac_status" >&5
     8083   echo "$as_me:8083: \$? = $ac_status" >&5
    80808084   if (exit $ac_status) && test -s "$ac_outfile"; then
    80818085     # The compiler can only warn and ignore the option if not recognized
     
    83418345   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83428346   -e 's:$: $lt_compiler_flag:'`
    8343    (eval echo "\"\$as_me:8343: $lt_compile\"" >&5)
     8347   (eval echo "\"\$as_me:8347: $lt_compile\"" >&5)
    83448348   (eval "$lt_compile" 2>conftest.err)
    83458349   ac_status=$?
    83468350   cat conftest.err >&5
    8347    echo "$as_me:8347: \$? = $ac_status" >&5
     8351   echo "$as_me:8351: \$? = $ac_status" >&5
    83488352   if (exit $ac_status) && test -s "$ac_outfile"; then
    83498353     # The compiler can only warn and ignore the option if not recognized
     
    84458449   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84468450   -e 's:$: $lt_compiler_flag:'`
    8447    (eval echo "\"\$as_me:8447: $lt_compile\"" >&5)
     8451   (eval echo "\"\$as_me:8451: $lt_compile\"" >&5)
    84488452   (eval "$lt_compile" 2>out/conftest.err)
    84498453   ac_status=$?
    84508454   cat out/conftest.err >&5
    8451    echo "$as_me:8451: \$? = $ac_status" >&5
     8455   echo "$as_me:8455: \$? = $ac_status" >&5
    84528456   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84538457   then
     
    1079010794  lt_status=$lt_dlunknown
    1079110795  cat > conftest.$ac_ext <<EOF
    10792 #line 10792 "configure"
     10796#line 10796 "configure"
    1079310797#include "confdefs.h"
    1079410798
     
    1089010894  lt_status=$lt_dlunknown
    1089110895  cat > conftest.$ac_ext <<EOF
    10892 #line 10892 "configure"
     10896#line 10896 "configure"
    1089310897#include "confdefs.h"
    1089410898
     
    1323413238   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1323513239   -e 's:$: $lt_compiler_flag:'`
    13236    (eval echo "\"\$as_me:13236: $lt_compile\"" >&5)
     13240   (eval echo "\"\$as_me:13240: $lt_compile\"" >&5)
    1323713241   (eval "$lt_compile" 2>conftest.err)
    1323813242   ac_status=$?
    1323913243   cat conftest.err >&5
    13240    echo "$as_me:13240: \$? = $ac_status" >&5
     13244   echo "$as_me:13244: \$? = $ac_status" >&5
    1324113245   if (exit $ac_status) && test -s "$ac_outfile"; then
    1324213246     # The compiler can only warn and ignore the option if not recognized
     
    1333813342   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333913343   -e 's:$: $lt_compiler_flag:'`
    13340    (eval echo "\"\$as_me:13340: $lt_compile\"" >&5)
     13344   (eval echo "\"\$as_me:13344: $lt_compile\"" >&5)
    1334113345   (eval "$lt_compile" 2>out/conftest.err)
    1334213346   ac_status=$?
    1334313347   cat out/conftest.err >&5
    13344    echo "$as_me:13344: \$? = $ac_status" >&5
     13348   echo "$as_me:13348: \$? = $ac_status" >&5
    1334513349   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1334613350   then
     
    1490814912   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1490914913   -e 's:$: $lt_compiler_flag:'`
    14910    (eval echo "\"\$as_me:14910: $lt_compile\"" >&5)
     14914   (eval echo "\"\$as_me:14914: $lt_compile\"" >&5)
    1491114915   (eval "$lt_compile" 2>conftest.err)
    1491214916   ac_status=$?
    1491314917   cat conftest.err >&5
    14914    echo "$as_me:14914: \$? = $ac_status" >&5
     14918   echo "$as_me:14918: \$? = $ac_status" >&5
    1491514919   if (exit $ac_status) && test -s "$ac_outfile"; then
    1491614920     # The compiler can only warn and ignore the option if not recognized
     
    1501215016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501315017   -e 's:$: $lt_compiler_flag:'`
    15014    (eval echo "\"\$as_me:15014: $lt_compile\"" >&5)
     15018   (eval echo "\"\$as_me:15018: $lt_compile\"" >&5)
    1501515019   (eval "$lt_compile" 2>out/conftest.err)
    1501615020   ac_status=$?
    1501715021   cat out/conftest.err >&5
    15018    echo "$as_me:15018: \$? = $ac_status" >&5
     15022   echo "$as_me:15022: \$? = $ac_status" >&5
    1501915023   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1502015024   then
     
    1721917223   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1722017224   -e 's:$: $lt_compiler_flag:'`
    17221    (eval echo "\"\$as_me:17221: $lt_compile\"" >&5)
     17225   (eval echo "\"\$as_me:17225: $lt_compile\"" >&5)
    1722217226   (eval "$lt_compile" 2>conftest.err)
    1722317227   ac_status=$?
    1722417228   cat conftest.err >&5
    17225    echo "$as_me:17225: \$? = $ac_status" >&5
     17229   echo "$as_me:17229: \$? = $ac_status" >&5
    1722617230   if (exit $ac_status) && test -s "$ac_outfile"; then
    1722717231     # The compiler can only warn and ignore the option if not recognized
     
    1748717491   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1748817492   -e 's:$: $lt_compiler_flag:'`
    17489    (eval echo "\"\$as_me:17489: $lt_compile\"" >&5)
     17493   (eval echo "\"\$as_me:17493: $lt_compile\"" >&5)
    1749017494   (eval "$lt_compile" 2>conftest.err)
    1749117495   ac_status=$?
    1749217496   cat conftest.err >&5
    17493    echo "$as_me:17493: \$? = $ac_status" >&5
     17497   echo "$as_me:17497: \$? = $ac_status" >&5
    1749417498   if (exit $ac_status) && test -s "$ac_outfile"; then
    1749517499     # The compiler can only warn and ignore the option if not recognized
     
    1759117595   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759217596   -e 's:$: $lt_compiler_flag:'`
    17593    (eval echo "\"\$as_me:17593: $lt_compile\"" >&5)
     17597   (eval echo "\"\$as_me:17597: $lt_compile\"" >&5)
    1759417598   (eval "$lt_compile" 2>out/conftest.err)
    1759517599   ac_status=$?
    1759617600   cat out/conftest.err >&5
    17597    echo "$as_me:17597: \$? = $ac_status" >&5
     17601   echo "$as_me:17601: \$? = $ac_status" >&5
    1759817602   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1759917603   then
     
    2964029644
    2964129645
     29646
     29647
     29648# Nauty library (for symmetry detection)
     29649ac_ext=c
     29650ac_cpp='$CPP $CPPFLAGS'
     29651ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     29652ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     29653ac_compiler_gnu=$ac_cv_c_compiler_gnu
     29654
     29655
     29656  echo "$as_me:$LINENO: checking if user provides library for Nauty" >&5
     29657echo $ECHO_N "checking if user provides library for Nauty... $ECHO_C" >&6
     29658
     29659# Check for header file directory
     29660
     29661
     29662# Check whether --with-nauty-incdir or --without-nauty-incdir was given.
     29663if test "${with_nauty_incdir+set}" = set; then
     29664  withval="$with_nauty_incdir"
     29665  NTYINCDIR=`cd $withval; pwd`
     29666fi;
     29667
     29668# Check for library directory
     29669
     29670
     29671# Check whether --with-nauty-lib or --without-nauty-lib was given.
     29672if test "${with_nauty_lib+set}" = set; then
     29673  withval="$with_nauty_lib"
     29674  NTYLIB=$withval
     29675fi;
     29676
     29677# Switch to disable library check if requested
     29678
     29679  # Check whether --enable-nauty-libcheck or --disable-nauty-libcheck was given.
     29680if test "${enable_nauty_libcheck+set}" = set; then
     29681  enableval="$enable_nauty_libcheck"
     29682  nauty_libcheck=$enableval
     29683else
     29684  nauty_libcheck=yes
     29685fi;
     29686
     29687# At this point, if we're going to use the library, both LBRYINCDIR and
     29688# LBRYLIB must be defined and not empty.
     29689
     29690  if test x"$NTYINCDIR" != x || test x"$NTYLIB" != x; then
     29691    if test x"$NTYINCDIR" = x || test x"$NTYLIB" = x; then
     29692      { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Nauty. Use --with-nauty-incdir of environment variable $NTYINCDIR to specify the include directory. Use --with-nauty-lib or environment variable $NTYLIB to specify link flags." >&5
     29693echo "$as_me: error: You need to specify both an include directory and link flags to use library Nauty. Use --with-nauty-incdir of environment variable $NTYINCDIR to specify the include directory. Use --with-nauty-lib or environment variable $NTYLIB to specify link flags." >&2;}
     29694   { (exit 1); exit 1; }; }
     29695    fi
     29696    coin_has_nty=true
     29697    echo "$as_me:$LINENO: result: yes" >&5
     29698echo "${ECHO_T}yes" >&6
     29699  else
     29700    coin_has_nty=false
     29701    echo "$as_me:$LINENO: result: no" >&5
     29702echo "${ECHO_T}no" >&6
     29703  fi
     29704
     29705# If we have instructions for use, consider header and link checks.
     29706
     29707  if test $coin_has_nty = true; then
     29708
     29709# If argument 3 (file) is given, check for the file. Typically this will be a
     29710# header file, but that's not assumed.
     29711
     29712    if test -r $NTYINCDIR/nauty.h; then
     29713
     29714  :
     29715else
     29716  { { echo "$as_me:$LINENO: error: Cannot find file nauty.h in $NTYINCDIR" >&5
     29717echo "$as_me: error: Cannot find file nauty.h in $NTYINCDIR" >&2;}
     29718   { (exit 1); exit 1; }; }
     29719  :
     29720fi
     29721
     29722
     29723# Now see if we can link the function. There are arguments for and against
     29724# assuming argument 3 is a header file declaring the function. A correct
     29725# function declaration is the main argument in favour. Having to cope with
     29726# possible dependencies or other oddities are the main arguments against.
     29727# Force the use of C as the best single choice amongst C++, C, and Fortran.
     29728# Obviously, this has limits.
     29729
     29730    if test x"$nauty_libcheck" != xno; then
     29731           coin_save_LIBS="$LIBS"
     29732           LIBS="$NTYLIB "
     29733           coin_NTY_link=no
     29734           ac_ext=c
     29735ac_cpp='$CPP $CPPFLAGS'
     29736ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     29737ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     29738ac_compiler_gnu=$ac_cv_c_compiler_gnu
     29739
     29740           for fnm in nauty ; do
     29741             echo "$as_me:$LINENO: checking whether symbol $fnm is available with NTY" >&5
     29742echo $ECHO_N "checking whether symbol $fnm is available with NTY... $ECHO_C" >&6
     29743             cat >conftest.$ac_ext <<_ACEOF
     29744/* confdefs.h.  */
     29745_ACEOF
     29746cat confdefs.h >>conftest.$ac_ext
     29747cat >>conftest.$ac_ext <<_ACEOF
     29748/* end confdefs.h.  */
     29749
     29750int
     29751main ()
     29752{
     29753$fnm()
     29754  ;
     29755  return 0;
     29756}
     29757_ACEOF
     29758rm -f conftest.$ac_objext conftest$ac_exeext
     29759if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     29760  (eval $ac_link) 2>conftest.er1
     29761  ac_status=$?
     29762  grep -v '^ *+' conftest.er1 >conftest.err
     29763  rm -f conftest.er1
     29764  cat conftest.err >&5
     29765  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29766  (exit $ac_status); } &&
     29767         { ac_try='test -z "$ac_c_werror_flag"
     29768                         || test ! -s conftest.err'
     29769  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     29770  (eval $ac_try) 2>&5
     29771  ac_status=$?
     29772  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29773  (exit $ac_status); }; } &&
     29774         { ac_try='test -s conftest$ac_exeext'
     29775  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     29776  (eval $ac_try) 2>&5
     29777  ac_status=$?
     29778  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29779  (exit $ac_status); }; }; then
     29780  echo "$as_me:$LINENO: result: yes" >&5
     29781echo "${ECHO_T}yes" >&6
     29782                  coin_NTY_link=yes
     29783                  break
     29784else
     29785  echo "$as_me: failed program was:" >&5
     29786sed 's/^/| /' conftest.$ac_ext >&5
     29787
     29788echo "$as_me:$LINENO: result: no" >&5
     29789echo "${ECHO_T}no" >&6
     29790fi
     29791rm -f conftest.err conftest.$ac_objext \
     29792      conftest$ac_exeext conftest.$ac_ext
     29793           done
     29794           ac_ext=c
     29795ac_cpp='$CPP $CPPFLAGS'
     29796ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     29797ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     29798ac_compiler_gnu=$ac_cv_c_compiler_gnu
     29799
     29800           LIBS="$coin_save_LIBS"
     29801           if test x"$coin_NTY_link" != xyes ; then
     29802             { { echo "$as_me:$LINENO: error: Cannot find symbol(s) nauty with NTY" >&5
     29803echo "$as_me: error: Cannot find symbol(s) nauty with NTY" >&2;}
     29804   { (exit 1); exit 1; }; }
     29805           fi
     29806         fi
     29807
     29808
     29809# If we make it this far, we've verified the file and linked the function. Add
     29810# the necessary link flags to CbcLib CbcGeneric_{PC}LIBS and define the preprocessor symbol
     29811# COIN_HAS_LBRY.
     29812
     29813
     29814      CBCLIB_LIBS="$NTYLIB $CBCLIB_LIBS"
     29815      CBCLIB_PCLIBS="$NTYLIB $CBCLIB_PCLIBS"
     29816      CBCLIB_LIBS_INSTALLED="$NTYLIB $CBCLIB_LIBS_INSTALLED"
     29817
     29818      CBCGENERIC_LIBS="$NTYLIB $CBCGENERIC_LIBS"
     29819      CBCGENERIC_PCLIBS="$NTYLIB $CBCGENERIC_PCLIBS"
     29820      CBCGENERIC_LIBS_INSTALLED="$NTYLIB $CBCGENERIC_LIBS_INSTALLED"
     29821
     29822
     29823
     29824cat >>confdefs.h <<\_ACEOF
     29825#define COIN_HAS_NTY 1
     29826_ACEOF
     29827
     29828  fi
     29829
     29830# Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
     29831# automake conditional. These actions must occur unconditionally.
     29832
     29833
     29834
     29835
     29836
     29837if test $coin_has_nty = true; then
     29838  COIN_HAS_NTY_TRUE=
     29839  COIN_HAS_NTY_FALSE='#'
     29840else
     29841  COIN_HAS_NTY_TRUE='#'
     29842  COIN_HAS_NTY_FALSE=
     29843fi
     29844
     29845
     29846ac_ext=c
     29847ac_cpp='$CPP $CPPFLAGS'
     29848ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     29849ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     29850ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2964229851
    2964329852
     
    3087131080Usually this means the macro was only invoked conditionally." >&5
    3087231081echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     31082Usually this means the macro was only invoked conditionally." >&2;}
     31083   { (exit 1); exit 1; }; }
     31084fi
     31085if test -z "${COIN_HAS_NTY_TRUE}" && test -z "${COIN_HAS_NTY_FALSE}"; then
     31086  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_NTY\" was never defined.
     31087Usually this means the macro was only invoked conditionally." >&5
     31088echo "$as_me: error: conditional \"COIN_HAS_NTY\" was never defined.
    3087331089Usually this means the macro was only invoked conditionally." >&2;}
    3087431090   { (exit 1); exit 1; }; }
     
    3176731983s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
    3176831984s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
     31985s,@NTYINCDIR@,$NTYINCDIR,;t t
     31986s,@NTYLIB@,$NTYLIB,;t t
     31987s,@COIN_HAS_NTY_TRUE@,$COIN_HAS_NTY_TRUE,;t t
     31988s,@COIN_HAS_NTY_FALSE@,$COIN_HAS_NTY_FALSE,;t t
    3176931989s,@CBC_BUILD_CBC_GENERIC_TRUE@,$CBC_BUILD_CBC_GENERIC_TRUE,;t t
    3177031990s,@CBC_BUILD_CBC_GENERIC_FALSE@,$CBC_BUILD_CBC_GENERIC_FALSE,;t t
  • stable/2.9/Cbc/configure.ac

    r2196 r2206  
    105105# Ampl Solver library
    106106AC_COIN_CHECK_PACKAGE(ASL, [coinasl], [CbcLib CbcGeneric])
     107
     108# Nauty library (for symmetry detection)
     109AC_LANG_PUSH(C)
     110AC_COIN_CHECK_USER_LIBRARY([Nauty],[NTY],[nauty.h],[nauty],,[CbcLib CbcGeneric])
     111AC_LANG_POP(C)
    107112
    108113#############################################################################
  • stable/2.9/Cbc/src

  • stable/2.9/Cbc/src/CbcModel.hpp

    r2094 r2206  
    23202320        maximumNumberIterations_ = value;
    23212321    }
    2322 #ifdef COIN_HAS_NTY
    23232322    /// Symmetry information
    23242323    inline CbcSymmetry * symmetryInfo() const
    23252324    { return symmetryInfo_;} 
    2326 #endif
    23272325    /// Set depth for fast nodes
    23282326    inline void setFastNodeDepth(int value) {
     
    27702768    CbcEventHandler *eventHandler_ ;
    27712769# endif
    2772 #ifdef COIN_HAS_NTY
    2773   /// Symmetry information
    2774   CbcSymmetry * symmetryInfo_;
    2775 #endif
     2770   /// Symmetry information
     2771    CbcSymmetry * symmetryInfo_;
    27762772    /// Total number of objects
    27772773    int numberObjects_;
  • stable/2.9/Cbc/src/CbcSymmetry.cpp

    r2092 r2206  
    1010 */
    1111//#define PRINT_MORE 1
     12
     13#include "CbcConfig.h"
     14
     15#ifdef COIN_HAS_NTY
     16
     17extern "C" {
     18#include "nauty.h"
     19#include "nausparse.h"
     20#ifdef NTY_TRACES
     21#include "traces.h"
     22#endif
     23}
     24
    1225#include <stdio.h>
    13 
    14 #ifdef COIN_HAS_NTY
    15 
    1626#include <cassert>
    1727#include <vector>
     
    2333#include "CbcBranchingObject.hpp"
    2434#include "CoinTime.hpp"
    25 #define NAUTY_MAX_LEVEL 2000
     35#define NAUTY_MAX_LEVEL 0
    2636#if NAUTY_MAX_LEVEL
    2737extern int nauty_maxalllevel;
  • stable/2.9/Cbc/src/Makefile.am

    r2149 r2206  
    119119bin_PROGRAMS =
    120120AM_CPPFLAGS = $(COINDEPEND_CFLAGS) $(CLP_CFLAGS) $(CPX_CFLAGS) $(ASL_CFLAGS)
     121
     122if COIN_HAS_NTY
     123AM_CPPFLAGS += -I$(NTYINCDIR)
     124endif
    121125
    122126########################################################################
  • stable/2.9/Cbc/src/Makefile.in

    r2175 r2206  
    4646host_triplet = @host@
    4747bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2)
     48@COIN_HAS_NTY_TRUE@am__append_1 = -I$(NTYINCDIR)
    4849
    4950########################################################################
     
    5354# Name of the executable compiled in this directory.  We want it to be
    5455# installed in the 'bin' directory
    55 @COIN_HAS_CLP_TRUE@am__append_1 = cbc
     56@COIN_HAS_CLP_TRUE@am__append_2 = cbc
    5657
    5758########################################################################
     
    6162# Name of the executable compiled in this directory.  We want it to be
    6263# installed in the 'bin' directory
    63 @CBC_BUILD_CBC_GENERIC_TRUE@am__append_2 = cbc-generic
     64@CBC_BUILD_CBC_GENERIC_TRUE@am__append_3 = cbc-generic
    6465
    6566# List all additionally required solver and Osi libraries
    6667# the linker flags for all available LP solvers should already be included in $CBCGENERIC_LIBS,
    6768# so just add compiler flags here (all we can think of)
    68 @CBC_BUILD_CBC_GENERIC_TRUE@am__append_3 = $(DYLP_CFLAGS) $(GLPK_CFLAGS) $(MSK_CFLAGS) $(SPX_CFLAGS) $(VOL_CFLAGS) $(XPR_CFLAGS)
     69@CBC_BUILD_CBC_GENERIC_TRUE@am__append_4 = $(DYLP_CFLAGS) $(GLPK_CFLAGS) $(MSK_CFLAGS) $(SPX_CFLAGS) $(VOL_CFLAGS) $(XPR_CFLAGS)
    6970subdir = src
    7071DIST_COMMON = $(includecoin_HEADERS) $(srcdir)/Makefile.am \
     
    265266COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    266267COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     268COIN_HAS_NTY_FALSE = @COIN_HAS_NTY_FALSE@
     269COIN_HAS_NTY_TRUE = @COIN_HAS_NTY_TRUE@
    267270COIN_HAS_OSITESTS_FALSE = @COIN_HAS_OSITESTS_FALSE@
    268271COIN_HAS_OSITESTS_TRUE = @COIN_HAS_OSITESTS_TRUE@
     
    371374NETLIB_LIBS = @NETLIB_LIBS@
    372375NETLIB_LIBS_INSTALLED = @NETLIB_LIBS_INSTALLED@
     376NTYINCDIR = @NTYINCDIR@
     377NTYLIB = @NTYLIB@
    373378OBJEXT = @OBJEXT@
    374379OPT_CFLAGS = @OPT_CFLAGS@
     
    618623# List additional defines
    619624AM_CPPFLAGS = $(COINDEPEND_CFLAGS) $(CLP_CFLAGS) $(CPX_CFLAGS) \
    620         $(ASL_CFLAGS) $(am__append_3) -DCOIN_NO_CLP_MESSAGE \
    621         -DUSE_CBCCONFIG
     625        $(ASL_CFLAGS) $(am__append_1) $(am__append_4) \
     626        -DCOIN_NO_CLP_MESSAGE -DUSE_CBCCONFIG
    622627
    623628# List all source files for this executable, including headers
  • stable/2.9/Cbc/src/OsiCbc/Makefile.in

    r2175 r2206  
    191191COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    192192COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     193COIN_HAS_NTY_FALSE = @COIN_HAS_NTY_FALSE@
     194COIN_HAS_NTY_TRUE = @COIN_HAS_NTY_TRUE@
    193195COIN_HAS_OSITESTS_FALSE = @COIN_HAS_OSITESTS_FALSE@
    194196COIN_HAS_OSITESTS_TRUE = @COIN_HAS_OSITESTS_TRUE@
     
    297299NETLIB_LIBS = @NETLIB_LIBS@
    298300NETLIB_LIBS_INSTALLED = @NETLIB_LIBS_INSTALLED@
     301NTYINCDIR = @NTYINCDIR@
     302NTYLIB = @NTYLIB@
    299303OBJEXT = @OBJEXT@
    300304OPT_CFLAGS = @OPT_CFLAGS@
  • stable/2.9/Cbc/src/config.h.in

    r1899 r2206  
    5858/* Define to 1 if the Netlib package is available */
    5959#undef COIN_HAS_NETLIB
     60
     61/* Define to 1 if the Nauty package is available */
     62#undef COIN_HAS_NTY
    6063
    6164/* Define to 1 if the OsiTests package is available */
  • stable/2.9/Cbc/test/Makefile.in

    r2175 r2206  
    185185COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    186186COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     187COIN_HAS_NTY_FALSE = @COIN_HAS_NTY_FALSE@
     188COIN_HAS_NTY_TRUE = @COIN_HAS_NTY_TRUE@
    187189COIN_HAS_OSITESTS_FALSE = @COIN_HAS_OSITESTS_FALSE@
    188190COIN_HAS_OSITESTS_TRUE = @COIN_HAS_OSITESTS_TRUE@
     
    291293NETLIB_LIBS = @NETLIB_LIBS@
    292294NETLIB_LIBS_INSTALLED = @NETLIB_LIBS_INSTALLED@
     295NTYINCDIR = @NTYINCDIR@
     296NTYLIB = @NTYLIB@
    293297OBJEXT = @OBJEXT@
    294298OPT_CFLAGS = @OPT_CFLAGS@
Note: See TracChangeset for help on using the changeset viewer.